cutlass::platform::is_trivially_copyable< T > Struct Template Reference

`#include <platform.h>`

Inheritance diagram for cutlass::platform::is_trivially_copyable< T >:

## Additional Inherited Members

Public Types inherited from cutlass::platform::integral_constant< bool,(is_fundamental< T >::value||is_pointer< T >::value)>
typedef bool | value_type
typedef integral_constant< bool, V > | type
Public Member Functions inherited from cutlass::platform::integral_constant< bool,(is_fundamental< T >::value||is_pointer< T >::value)>
CUTLASS_HOST_DEVICE | operator value_type () const
CUTLASS_HOST_DEVICE const value_type | operator() () const
Static Public Attributes inherited from cutlass::platform::integral_constant< bool,(is_fundamental< T >::value||is_pointer< T >::value)>
static const bool | value

## Detailed Description

### template<typename T>
struct cutlass::platform::is_trivially_copyable< T >

std::is_trivially_copyable

This implementation only evaluates true if T is fundamental or pointer

Without help from partial template specializations provided by the user for a specific class or struct, this trait will never report that the specified class or struct is trivially-copyable ; this is always safe, if possibly sub-optimal.

The documentation for this struct was generated from the following file:

- platform.h